/* Header */
.site-header {
	background-color: #1f5c3f;
	box-shadow: 0 5px 7px rgba(0, 0, 0, 0.3);
	position: fixed;
	z-index: 1000;
	transition: all 0.3s ease-in-out;
	width: 100%;
	top: 0;
}

.container {
	display: grid;
	grid-template-columns: 0.2fr 1fr 0.2fr;
	align-items: center;
	padding: 10px 200px;
}

.logo img {
	width: 150px;
	height: 100%;
}

.main-nav {
	display: flex;
	justify-content: center;
}

.main-nav .nav-links {
	    list-style: none;
    padding: 0;
    margin: 0;
    gap: 0px;
    display: flex;
}

.main-nav .nav-links li {
	position: relative;
	display: inline-block;
	padding: 0 10px;
}

.main-nav .nav-links a {
	text-decoration: none;
	color: #b4c3af;
	font-weight: 600;
    font-size: 22px;
    padding: 10px;
    display: block;
	transition: background 0.3s ease, color 0.3s ease;
}

.main-nav .nav-links a:hover {
	color: #e0d09c;
     font-weight: 600;
}

.nav-links li.current-menu-item > a {
		color: #e0d09c;
	}

/* Buttons */
.header-button-area {
	display: flex;
	gap: 10px;
	justify-content: right;
}


/* Menu toggle button */
.menu-toggle {
	display: none;
	cursor: pointer;
	font-size: 24px;
	background: none;
	border: none;
	position: relative;
	z-index: 1010;
}

.menu-toggle .close-icon {
	display: none;
}

.menu-toggle.active .menu-icon {
	display: none;
}

.menu-toggle.active .close-icon {
	display: inline;
}

.header-button-area-m{
    display: none;
}

.hero-social{
    position: fixed;
    bottom: 1%;
    right: 1%;
    display: flex;
    gap: 10px;
    z-index: 9999;
}

.hero-social img{
    width: 50px;
height: 50px;
}



/* Responsive Styles */
@media (max-width: 1600px) {
	.container {
		padding: 10px 50px;
	}
}

@media (max-width: 1500px) {
	.container {
		padding: 10px 50px;
	}
}

@media (max-width: 1300px) {
	    .logo img {
        width: 120px;
		}

		.container {
        padding: 10px 30px;
    }
}

@media (max-width: 990px) {
	.container {
		padding: 10px 30px;
		align-items: center;
		grid-template-columns: 0.2fr 1fr 0.1fr;
	}

	.menu-toggle {
		display: block;
		order: 3;
		color: #fff;
		text-align: right;
	}

	.logo {
		order: 1;
	}

	.header-button-area {
		order: 2;
	}

	.main-nav {
		display: none;
		position: absolute;
        top: 100%;
        right: 0;
        width: 100%;
        background: #ffffff;
        box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
        padding: 15px 10px;
        opacity: 0;
        transform: translateY(-10px);
        transition: opacity 1s ease-in-out, transform 1s ease-in-out;
        z-index: 100;
	}

	.main-nav.active {
		display: block;
		opacity: 1;
		transform: translateY(0);
	}

	.nav-links {
		flex-direction: column;
		align-items: flex-start;
	}

	.nav-links li {
		width: 100%;
		text-align: center;
		padding: 0;
	}

	.nav-links a {
		font-size: 20px;
		padding: 10px 20px;
		color: #1f5c3f;
		text-align: center;
	}

	    .main-nav .nav-links a {
        font-size: 20px;
        padding: 10px;
	   color: #1f5c3f;
    }

	.nav-links a:hover {
		color: #e0d09c;
	}

	.nav-links li.current-menu-item > a {
		color: #e0d09c;
	}
}

@media (max-width: 600px) {
	.header-button-area {
		display: none;
	}

    .header-button-area-m{
   	display: block;
        text-align: center;
    }

    .nav-btn-m {
    padding: 0 10px;
    margin-left: 10px;
}

	.container {
        grid-template-columns: 0.5fr 1fr;
    }
	
	.logo img {
		width: 100px;
	}
	
	    .container {
        padding: 5px 20px;
	}
	
	.hero-social {
    bottom: 5%;
	}
}

